Bug 630206 - (ghc-hledger-lib) Review Request: ghc-hledger-lib - Core types and utilities for working with hledger data
Review Request: ghc-hledger-lib - Core types and utilities for working with h...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-safe ghc-regexpr ghc-split
Blocks: hledger
  Show dependency treegraph
 
Reported: 2010-09-03 22:15 EDT by Ben Boeckel
Modified: 2011-10-13 00:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-hledger-lib-0.14-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-12 20:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-03 22:15:20 EDT
Spec: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib.spec
SRPM: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib-0.11.1-1.fc14.src.rpm
Description:
This is the reusable core of the hledger financial app; use
it to build hledger and c++-ledger compatible finance tools.


% lintmock fedora-14-x86_64-bb
ghc-hledger-lib.src: W: strange-permission ghc-hledger-lib.spec 0640L
ghc-hledger-lib.src: W: strange-permission hledger-lib-0.11.1.tar.gz 0640L
ghc-hledger-lib-prof.x86_64: E: devel-dependency ghc-hledger-lib-devel
ghc-hledger-lib-prof.x86_64: W: no-documentation
ghc-hledger-lib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hledger-lib-0.11.1/libHShledger-lib-0.11.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2010-09-05 23:03:00 EDT
Just noting that 0.12 was released.
Comment 2 Ben Boeckel 2010-09-05 23:38:56 EDT
Spec: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib.spec
SRPM: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib-0.12-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-hledger-lib.src: W: strange-permission hledger-lib-0.12.tar.gz 0640L
ghc-hledger-lib.src: W: strange-permission ghc-hledger-lib.spec 0640L
ghc-hledger-lib-prof.x86_64: E: devel-dependency ghc-hledger-lib-devel
ghc-hledger-lib-prof.x86_64: W: no-documentation
ghc-hledger-lib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hledger-lib-0.12/libHShledger-lib-0.12_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 3 Ben Boeckel 2010-10-31 12:26:20 EDT
Spec: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib.spec
SRPM: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib-0.12.1-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-hledger-lib.src: W: strange-permission hledger-lib-0.12.1.tar.gz 0640L
ghc-hledger-lib.src: W: strange-permission ghc-hledger-lib.spec 0640L
ghc-hledger-lib-prof.x86_64: E: devel-dependency ghc-hledger-lib-devel
ghc-hledger-lib-prof.x86_64: W: no-documentation
ghc-hledger-lib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hledger-lib-0.12.1/libHShledger-lib-0.12.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 4 Ben Boeckel 2010-12-11 00:38:49 EST
Spec: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib.spec
SRPM: http://benboeckel.net/packaging/ghc-hledger-lib/ghc-hledger-lib-0.13-1.fc14.src.rpm

% lintmock fedora-rawhide-x86_64
ghc-hledger-lib.src: W: strange-permission hledger-lib-0.13.tar.gz 0640L
ghc-hledger-lib.src: W: strange-permission ghc-hledger-lib.spec 0640L
ghc-hledger-lib-prof.x86_64: E: devel-dependency ghc-hledger-lib-devel
ghc-hledger-lib-prof.x86_64: W: no-documentation
ghc-hledger-lib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/hledger-lib-0.13/libHShledger-lib-0.13_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 5 Narasimhan 2011-01-30 00:31:29 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpm ghc-hledger-lib-prof-0.13-1.fc14.x86_64.rpm 
ghc-hledger-lib.src: W: strange-permission hledger-lib-0.13.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-hledger-lib-prof.x86_64: E: devel-dependency ghc-hledger-lib-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-hledger-lib-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-hledger-lib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hledger-lib-0.13/libHShledger-lib-0.13_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, GPLv3. License text present in LICENSE file.
        No prebuilt external bits - OK, the source package does not ship with any prebuilt bits
        Spec legibity - OK, based on template produced by cabal2spec 0.22.2.
        Package template - OK , based on template produced by cabal2spec 0.22.2.
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK, should be removed.
        %clean is ignored - present anyway. OK, should be removed.
        Build Requires list - OK, validated.
        Summary and description - OK, looks fine.
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is GPLv3. No license headers in source files. The cabal file mentions the license. Version of GPL inferred from the LICENSE file.
[+]MUST: The License field in the package spec file must match the actual license.
Version of GPL inferred from the LICENSE file.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file contains the license text.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum hledger-lib-0.13.tar.gz 
1b8b343089cb58a9610e71e562227947  hledger-lib-0.13.tar.gz

md5sum ghc-hledger-lib-0.13-1.fc14.src/hledger-lib-0.13.tar.gz 
1b8b343089cb58a9610e71e562227947  ghc-hledger-lib-0.13-1.fc14.src/hledger-lib-0.13.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built locally on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
Validated.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
checked with ls -lR
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-hledger-lib
error: Failed dependencies:
	ghc-hledger-lib = 0.13-1.fc14 is needed by (installed) ghc-hledger-lib-devel-0.13-1.fc14.x86_64

rpm -e ghc-hledger-lib-devel
error: Failed dependencies:
	ghc-hledger-lib-devel = 0.13-1.fc14 is needed by (installed) ghc-hledger-lib-prof-0.13-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Imported module Hledger.Data.Types into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 6 Jens Petersen 2011-05-02 21:49:12 EDT
Hrm it is over 3 months since this was approved...
Comment 7 Ben Boeckel 2011-05-10 21:01:32 EDT
New Package SCM Request
=======================
Package Name: ghc-hledger-lib
Short Description: Core types and utilities for working with hledger data
Owners: mathstuf
Branches: f14 f15
InitialCC: haskell-sig
Comment 8 Jason Tibbitts 2011-05-12 12:36:37 EDT
Git done (by process-git-requests).
Comment 9 Jens Petersen 2011-06-15 02:20:41 EDT
Ping?
Comment 10 Narasimhan 2011-07-12 06:16:50 EDT
I am taking up hledger. Please build this package for rawhide and f15.
Comment 11 Jens Petersen 2011-08-17 05:40:03 EDT
Ping-a-ling?!
Comment 12 Fedora Update System 2011-10-03 03:11:57 EDT
ghc-hledger-lib-0.14-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-hledger-lib-0.14-2.fc15
Comment 13 Fedora Update System 2011-10-03 03:12:09 EDT
ghc-hledger-lib-0.14-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hledger-lib-0.14-2.fc16
Comment 14 Fedora Update System 2011-10-03 03:12:17 EDT
ghc-hledger-lib-0.14-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-hledger-lib-0.14-2.fc14
Comment 15 Fedora Update System 2011-10-03 13:45:44 EDT
ghc-hledger-lib-0.14-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 16 Fedora Update System 2011-10-12 20:50:21 EDT
ghc-hledger-lib-0.14-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 17 Fedora Update System 2011-10-12 20:54:55 EDT
ghc-hledger-lib-0.14-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 18 Fedora Update System 2011-10-13 00:31:38 EDT
ghc-hledger-lib-0.14-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.